LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XUriSchemeParser Interface Referencepublished

parses textual representations of absolute URIs. More...

`import"XUriSchemeParser.idl";`

Inheritance diagram for XUriSchemeParser:

## Public Member Functions
XUriReference | parse ([in] string scheme, [in] string schemeSpecificPart)
| parses the textual representation of an absolute URI. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

parses textual representations of absolute URIs.

See RFC 3986 for a description of URIs and related terms.

Since
  OOo 2.0

## Member Function Documentation

## ◆ parse()

XUriReference parse | ( | [in] string | scheme,
|  | [in] string | schemeSpecificPart
| ) |  |

parses the textual representation of an absolute URI.

This method is used to parse URIs (with no fragment part), not URI references (with an optional fragment part).

If an object is returned, the behaviour of its com::sun::star::uri::XUriReference methods must reflect the fact that the object represents an absolute URI reference with the given scheme and scheme-specific part, and without a fragment part.

Parameters

  scheme | the textual representation of the scheme part (without the delimiting “`:`”).
  schemeSpecificPart | the textual representation of the scheme-specific part.

Returns
  an object that supports com::sun::star::uri::XUriReference (and possibly also additional, scheme-specific interfaces), if the given input can be parsed into an absolute URI; otherwise, `NULL` is returned.

The documentation for this interface was generated from the following file:

- com/sun/star/uri/XUriSchemeParser.idl